Subject: Re: bug#40069: gnus-summary-exit does not restore windows

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Jul 2020 15:47:53 +0200

[email-masked] (Juan José García Ripoll) writes:

> What should have happened
> 5. Gnus activates the 'group' window configuration
> 6. It then kills the summary buffer and I am left with one window
> showing the groups
>
> A workaround is to add
>   :hook
>   (gnus-summary-exit . (lambda () (gnus-configure-windows 'group 'force)))
>
> A fix would be to reorder the code in gnus-summary-exit, so that the
> code related to group windows is placed before the code related to
> burying / deleting summary buffers.

I've now reordered the exit code as you suggest in Emacs 28.1, and that
seems to make your use case work better, and doesn't seem to have any
adverse affect on the default configuration.

This code is ticklish, though, so I guess we'll just have to see whether
it has adverse effects on other setups.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no